---
title: CSS Basic User Interface
slug: Web/CSS/CSS_Basic_User_Interface
tags:
  - CSS
  - CSS Basic User Interface
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>CSS Basic User Interface</strong> is a CSS module that lets you define the rendering and functionality of features related to the user interface.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{CSSxRef("appearance")}} {{Experimental_Inline}}</li>
 <li>{{CSSxRef("box-sizing")}}</li>
 <li>{{CSSxRef("cursor")}}</li>
 <li>{{CSSxRef("ime-mode")}} {{Deprecated_Inline}}</li>
 <li>{{CSSxRef("nav-down")}} {{Experimental_Inline}}</li>
 <li>{{CSSxRef("nav-left")}} {{Experimental_Inline}}</li>
 <li>{{CSSxRef("nav-right")}} {{Experimental_Inline}}</li>
 <li>{{CSSxRef("nav-up")}} {{Experimental_Inline}}</li>
 <li>{{CSSxRef("outline")}}</li>
 <li>{{CSSxRef("outline-width")}}</li>
 <li>{{CSSxRef("outline-style")}}</li>
 <li>{{CSSxRef("outline-color")}}</li>
 <li>{{CSSxRef("outline-offset")}}</li>
 <li>{{CSSxRef("resize")}}</li>
 <li>{{CSSxRef("text-overflow")}}</li>
 <li>{{CSSxRef("user-select")}}</li>
</ul>
</div>

<h2 id="Guides">Guides</h2>

<dl>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Basic_User_Interface/Using_URL_values_for_the_cursor_property">Using URL values for the <code>cursor</code> property</a></dt>
 <dd>Explains how a URL can be used with the {{CSSxRef("cursor")}} property to produce custom cursors.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Basic UI")}}</td>
   <td>{{Spec2("CSS4 Basic UI")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Basic UI")}}</td>
   <td>{{Spec2("CSS3 Basic UI")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "ui.html")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>
